diff --git a/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConfAdmin.class.php b/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConfAdmin.class.php
index 70abb0ad..d17ff03d 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConfAdmin.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConfAdmin.class.php
@@ -2,33 +2,36 @@
 
 /**
  * @file
- * This classextends by LdapUserConf for configuration and other admin functions
+ * This classextends by LdapUserConf for configuration and other admin functions.
  */
 
 module_load_include('php', 'ldap_user', 'LdapUserConf.class');
 module_load_include('inc', 'user', 'user.pages');
-
+/**
+ *
+ */
 class LdapUserConfAdmin extends LdapUserConf {
 
   /**
-   * basic settings
+   * Basic settings.
    */
 
   protected $drupalAcctProvisionServerDescription;
-  protected $drupalAcctProvisionServerOptions = array();
-  protected $ldapEntryProvisionServerOptions = array();
+  protected $drupalAcctProvisionServerOptions = [];
+  protected $ldapEntryProvisionServerOptions = [];
 
   protected $drupalAccountProvisionEventsDescription;
-  protected $drupalAccountProvisionEventsOptions = array();
+  protected $drupalAccountProvisionEventsOptions = [];
 
   protected $ldapEntryProvisionTriggersDescription;
-  protected $ldapEntryProvisionTriggersOptions = array();
+  protected $ldapEntryProvisionTriggersOptions = [];
 
   protected $synchFormRow = 0;
 
-  /*
-   * 3. Drupal Account Provisioning and Syncing
+  /**
+   * 3. Drupal Account Provisioning and Syncing.
    */
+
   public $userConflictResolveDescription;
   public $userConflictResolveDefault = LDAP_USER_CONFLICT_RESOLVE_DEFAULT;
   public $userConflictOptions;
@@ -45,12 +48,18 @@ class LdapUserConfAdmin extends LdapUserConf {
   public $hasError = FALSE;
   public $errorName = NULL;
 
+  /**
+   *
+   */
   public function clearError() {
     $this->hasError = FALSE;
     $this->errorMsg = NULL;
     $this->errorName = NULL;
   }
 
+  /**
+   *
+   */
   public function save() {
     foreach ($this->saveable as $property) {
       $save[$property] = $this->{$property};
@@ -59,10 +68,16 @@ class LdapUserConfAdmin extends LdapUserConf {
     ldap_user_conf_cache_clear();
   }
 
-  static public function uninstall() {
+  /**
+   *
+   */
+  public static function uninstall() {
     variable_del('ldap_user_conf');
   }
 
+  /**
+   *
+   */
   public function __construct() {
     parent::__construct();
     $this->setTranslatableProperties();
@@ -80,123 +95,121 @@ class LdapUserConfAdmin extends LdapUserConf {
 
   }
 
-
-/**
- * generate admin form for ldapUserConf object
- *
- * @return array $form as drupal form api form array
- */
+  /**
+   * Generate admin form for ldapUserConf object.
+   *
+   * @return array $form as drupal form api form array
+   */
   public function drupalForm() {
     if (count($this->drupalAcctProvisionServerOptions) == 0) {
       $message = ldap_servers_no_enabled_servers_msg('configure LDAP User');
-      $form['intro'] = array(
+      $form['intro'] = [
         '#type' => 'item',
         '#markup' => t('<h1>LDAP User Settings</h1>') . $message,
-      );
+      ];
       return $form;
     }
-    $form['#storage'] = array();
+    $form['#storage'] = [];
     $form['#theme'] = 'ldap_user_conf_form';
 
-    $form['intro'] = array(
+    $form['intro'] = [
       '#type' => 'item',
       '#markup' => t('<h1>LDAP User Settings</h1>'),
-    );
+    ];
 
-    $form['manual_drupal_account_editing'] = array(
+    $form['manual_drupal_account_editing'] = [
       '#type' => 'fieldset',
       '#title' => t('Manual Drupal Account Creation and Updates'),
       '#collapsible' => TRUE,
       '#collapsed' => FALSE,
-    );
+    ];
 
-    $form['manual_drupal_account_editing']['manualAccountConflict'] = array(
+    $form['manual_drupal_account_editing']['manualAccountConflict'] = [
       '#type' => 'radios',
       '#options' => $this->manualAccountConflictOptions,
       '#title' => t('How to resolve LDAP conflicts with manually  created Drupal accounts.'),
       '#description' => t('This applies only to accounts created manually through admin/people/create
         for which an LDAP entry can be found on the LDAP server selected in "LDAP Servers Providing Provisioning Data"'),
       '#default_value' => $this->manualAccountConflict,
-    );
+    ];
 
-    $form['basic_to_drupal'] = array(
+    $form['basic_to_drupal'] = [
       '#type' => 'fieldset',
       '#title' => t('Basic Provisioning to Drupal Account Settings'),
       '#collapsible' => TRUE,
       '#collapsed' => FALSE,
-    );
+    ];
 
     $default_value = ($this->drupalAcctProvisionServer) ? $this->drupalAcctProvisionServer : 'none';
-    $form['basic_to_drupal']['drupalAcctProvisionServer'] = array(
+    $form['basic_to_drupal']['drupalAcctProvisionServer'] = [
       '#type' => 'radios',
       '#title' => t('LDAP Servers Providing Provisioning Data'),
       '#required' => 1,
       '#default_value' => $default_value,
       '#options' => $this->drupalAcctProvisionServerOptions,
       '#description' => $this->drupalAcctProvisionServerDescription,
-      '#states' => array(
-        'enabled' => array(   // action to take.
-          ':input[name=drupalAcctProvisionTriggers]' => array('value' => LDAP_USER_DRUPAL_USER_PROV_ON_AUTHENTICATE),
-        ),
-      ),
-    );
-
-
-    $form['basic_to_drupal']['drupalAcctProvisionTriggers'] = array(
+      '#states' => [
+        'enabled' => [
+          ':input[name=drupalAcctProvisionTriggers]' => ['value' => LDAP_USER_DRUPAL_USER_PROV_ON_AUTHENTICATE],
+        ],
+      ],
+    ];
+
+    $form['basic_to_drupal']['drupalAcctProvisionTriggers'] = [
       '#type' => 'checkboxes',
       '#title' => t('Drupal Account Provisioning Events'),
       '#required' => FALSE,
       '#default_value' => $this->drupalAcctProvisionTriggers,
       '#options' => $this->drupalAccountProvisionEventsOptions,
       '#description' => $this->drupalAccountProvisionEventsDescription,
-    );
+    ];
 
-    $form['basic_to_drupal']['disableAdminPasswordField'] = array(
+    $form['basic_to_drupal']['disableAdminPasswordField'] = [
       '#type' => 'checkbox',
       '#title' => t('Disable the password fields at /admin/create/people since the password is going to be randomly generated anyway. This is useful if you are synching data to Drupal from LDAP, and not bringing the user password from LDAP.'),
       '#default_value' => $this->disableAdminPasswordField,
-    );
+    ];
 
-    $form['basic_to_drupal']['userConflictResolve'] = array(
+    $form['basic_to_drupal']['userConflictResolve'] = [
       '#type' => 'radios',
       '#title' => t('Existing Drupal User Account Conflict'),
       '#required' => 1,
       '#default_value' => $this->userConflictResolve,
       '#options' => $this->userConflictOptions,
-      '#description' => t( $this->userConflictResolveDescription),
-    );
+      '#description' => t($this->userConflictResolveDescription),
+    ];
 
-    $form['basic_to_drupal']['accountsWithSameEmail'] = array(
+    $form['basic_to_drupal']['accountsWithSameEmail'] = [
       '#type' => 'radios',
       '#title' => t('Existing Account with Same Email Address'),
       '#default_value' => $this->accountsWithSameEmail,
       '#options' => $this->accountsWithSameEmailOptions,
       '#description' => t($this->accountsWithSameEmailDescription),
       '#disabled' => (module_exists('sharedemail') === FALSE),
-    );
+    ];
 
-    $form['basic_to_drupal']['acctCreation'] = array(
+    $form['basic_to_drupal']['acctCreation'] = [
       '#type' => 'radios',
       '#title' => t('Application of Drupal Account settings to LDAP Authenticated Users'),
       '#required' => 1,
       '#default_value' => $this->acctCreation,
       '#options' => $this->acctCreationOptions,
       '#description' => t($this->acctCreationDescription),
-    );
+    ];
 
-    $account_options = array();
+    $account_options = [];
     $account_options['ldap_user_orphan_do_not_check'] = t('Do not check for orphaned Drupal accounts.');
     $account_options['ldap_user_orphan_email'] = t('Perform no action, but email list of orphaned accounts. (All the other options will send email summaries also.)');
     foreach (user_cancel_methods() as $option_name => $option) {
       $account_options[$option_name] = $option['#title'];
     }
 
-    //@todo these 2 options are removed until this feature is better tested in
+    // @todo these 2 options are removed until this feature is better tested in
     // actual production environments; it has potentially disastrous effects
     unset($account_options['user_cancel_reassign']);
     unset($account_options['user_cancel_delete']);
 
-    $form['basic_to_drupal']['orphanedDrupalAcctBehavior'] = array(
+    $form['basic_to_drupal']['orphanedDrupalAcctBehavior'] = [
       '#type' => 'radios',
       '#title' => t('Action to perform on Drupal account that no longer have a
         corresponding LDAP entry'),
@@ -204,103 +217,44 @@ class LdapUserConfAdmin extends LdapUserConf {
       '#default_value' => $this->orphanedDrupalAcctBehavior,
       '#options' => $account_options,
       '#description' => t($this->orphanedDrupalAcctBehaviorDescription),
-    );
+    ];
 
-
-    $form['basic_to_drupal']['orphanedCheckQty'] = array(
+    $form['basic_to_drupal']['orphanedCheckQty'] = [
       '#type' => 'textfield',
       '#size' => 10,
       '#title' => t('Number of users to check each cron run.'),
       '#description' => t(''),
       '#default_value' => $this->orphanedCheckQty,
       '#required' => FALSE,
-    );
+    ];
 
-
-    $form['basic_to_ldap'] = array(
+    $form['basic_to_ldap'] = [
       '#type' => 'fieldset',
       '#title' => t('Basic Provisioning to LDAP Settings'),
       '#collapsible' => TRUE,
       '#collapsed' => !($this->ldapEntryProvisionServer),
-    );
+    ];
 
     $default_value = ($this->ldapEntryProvisionServer) ? $this->ldapEntryProvisionServer : 'none';
-    $form['basic_to_ldap']['ldapEntryProvisionServer'] = array(
+    $form['basic_to_ldap']['ldapEntryProvisionServer'] = [
       '#type' => 'radios',
       '#title' => t('LDAP Servers to Provision LDAP Entries on'),
       '#required' => 1,
       '#default_value' => $default_value,
       '#options' => $this->ldapEntryProvisionServerOptions,
       '#description' => $this->ldapEntryProvisionServerDescription,
-    );
+    ];
 
-    $form['basic_to_ldap']['ldapEntryProvisionTriggers'] = array(
+    $form['basic_to_ldap']['ldapEntryProvisionTriggers'] = [
       '#type' => 'checkboxes',
       '#title' => t('LDAP Entry Provisioning Events'),
       '#required' => FALSE,
       '#default_value' => $this->ldapEntryProvisionTriggers,
       '#options' => $this->ldapEntryProvisionTriggersOptions,
-      '#description' => $this->ldapEntryProvisionTriggersDescription
-    );
+      '#description' => $this->ldapEntryProvisionTriggersDescription,
+    ];
 
-/**
-    $form['ws'] = array(
-      '#type' => 'fieldset',
-      '#title' => t('[Untested and Unfinished Code] REST Webservice for Provisioning and Synching.'),
-      '#collapsible' => TRUE,
-      '#collapsed' => !$this->wsEnabled,
-      '#description' => t('Once configured, this webservice can be used to trigger creation, synching, deletion, etc of an LDAP associated Drupal account.'),
-    );
-
-    $form['ws']['wsEnabled'] = array(
-      '#type' => 'checkbox',
-      '#title' => t('Enable REST Webservice'),
-      '#required' => FALSE,
-      '#default_value' => $this->wsEnabled,
-    );
-
-    $form['ws']['wsUserIps'] = array(
-      '#type' => 'textarea',
-      '#title' => t('Allowed IP Addresses to request webservice.'),
-      '#required' => FALSE,
-      '#default_value' => join("\n", $this->wsUserIps),
-      '#description' => t('One Per Line. The current server address is LOCAL_ADDR and the client ip requesting this page is REMOTE_ADDR .', $_SERVER),
-      '#cols' => 20,
-      '#rows' => 2,
-      '#states' => array(
-        'visible' => array(   // action to take.
-          ':input[name="wsEnabled"]' => array('checked' => TRUE),
-        ),
-      ),
-    );
-
-    if (!$this->wsKey) {
-      $urls = t('URLs are not available until a key is create a key and urls will be generated');
-    }
-    else {
-      $urls = theme('item_list',
-        array(
-          'items' => ldap_user_ws_urls_item_list(),
-          'title' => 'REST urls',
-          'type' => 'ul',
-        ));
-    }
-
-    $form['ws']['wsKey'] = array(
-      '#type' => 'textfield',
-      '#title' => t('Key for webservice'),
-      '#required' => FALSE,
-      '#default_value' => $this->wsKey,
-      '#description' => t('Any random string of characters.') . $urls,
-      '#states' => array(
-        'visible' => array(   // action to take.
-          ':input[name="wsEnabled"]' => array('checked' => TRUE),
-        ),
-      ),
-    );
-*/
-
-    $form['basic_to_drupal']['server_mapping_preamble'] = array(
+    $form['basic_to_drupal']['server_mapping_preamble'] = [
       '#type' => 'markup',
       '#markup' => t('
 The relationship between a Drupal user and an LDAP entry is defined within the LDAP server configurations.
@@ -312,12 +266,12 @@ When more than one ldap server is enabled for provisioning data (or simply more
 mappings need to be setup for each server.  If no tables are listed below, you have not enabled any provisioning servers at
 the top of this form.
 '),
-    );
+    ];
 
-    foreach (array(LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY) as $direction) {
+    foreach ([LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY] as $direction) {
       $sid = $this->provisionSidFromDirection[$direction];
       $ldap_server = ($sid) ? ldap_servers_get_servers($sid, NULL, TRUE) : FALSE;
-      $ldap_server_selected = (boolean)$ldap_server;
+      $ldap_server_selected = (boolean) $ldap_server;
 
       if ($direction == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) {
         $parent_fieldset = 'basic_to_drupal';
@@ -328,31 +282,29 @@ the top of this form.
         $description = t('Provisioning from Drupal to LDAP Mappings:');
       }
 
-      $form[$parent_fieldset]['mappings__' . $direction] = array(
+      $form[$parent_fieldset]['mappings__' . $direction] = [
         '#type' => 'fieldset',
         '#title' => $description,
         '#collapsible' => TRUE,
         '#collapsed' => FALSE,
         '#description' => '',
-        'table__' . $direction => array(
+        'table__' . $direction => [
           '#type' => 'markup',
           '#markup' => '[replace_with_table__' . $direction . ']',
-        ),
-      );
+        ],
+      ];
 
-
-$password_notes = '<h3>' . t('Password Tokens') . '</h3><ul>' .
-'<li>' . t('Pwd: Random -- Uses a random Drupal generated password') . '</li>' .
-'<li>' . t('Pwd: User or Random -- Uses password supplied on user forms.
+      $password_notes = '<h3>' . t('Password Tokens') . '</h3><ul>' .
+      '<li>' . t('Pwd: Random -- Uses a random Drupal generated password') . '</li>' .
+      '<li>' . t('Pwd: User or Random -- Uses password supplied on user forms.
   If none available uses random password.') . '</li></ul>' .
-'<h3>' . t('Password Concerns') . '</h3>' .
-'<ul>' .
-'<li>' . t('Provisioning passwords to LDAP means passwords must meet the LDAP\'s
+      '<h3>' . t('Password Concerns') . '</h3>' .
+      '<ul>' .
+      '<li>' . t('Provisioning passwords to LDAP means passwords must meet the LDAP\'s
 password requirements.  Password Policy module can be used to add requirements.') . '</li>' .
-'<li>' . t('Some LDAPs require a user to reset their password if it has been changed
+      '<li>' . t('Some LDAPs require a user to reset their password if it has been changed
 by someone other that user.  Consider this when provisioning LDAP passwords.') . '</li>' .
-'</ul></p>';
-
+      '</ul></p>';
 
       $source_drupal_token_notes = <<<EOT
 <p>Examples in form: Source Drupal User token => Target LDAP Token (notes)</p>
@@ -369,52 +321,53 @@ by someone other that user.  Consider this when provisioning LDAP passwords.') .
 </ul>
 EOT;
 
-      if ($direction == LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY) { // add some password notes
-        $form[$parent_fieldset]['password_notes'] = array(
+      // Add some password notes.
+      if ($direction == LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY) {
+        $form[$parent_fieldset]['password_notes'] = [
           '#type' => 'fieldset',
           '#title' => t('Password Notes'),
           '#collapsible' => TRUE,
           '#collapsed' => TRUE,
-          'directions' => array(
+          'directions' => [
             '#type' => 'markup',
             '#markup' => $password_notes,
-          ),
-        );
-        $form[$parent_fieldset]['source_drupal_token_notes'] = array(
+          ],
+        ];
+        $form[$parent_fieldset]['source_drupal_token_notes'] = [
           '#type' => 'fieldset',
           '#title' => t('Source Drupal User Tokens and Corresponding Target LDAP Tokens'),
           '#collapsible' => TRUE,
           '#collapsed' => TRUE,
-          'directions' => array(
+          'directions' => [
             '#type' => 'markup',
             '#markup' => $source_drupal_token_notes,
-          ),
-        );
+          ],
+        ];
       }
       $this->addServerMappingFields($form, $direction);
     }
 
-    foreach (array('orphanedCheckQty', 'orphanedDrupalAcctBehavior', 'acctCreation', 'userConflictResolve', 'accountsWithSameEmail', 'drupalAcctProvisionTriggers', 'mappings__' . LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) as $input_name) {
+    foreach (['orphanedCheckQty', 'orphanedDrupalAcctBehavior', 'acctCreation', 'userConflictResolve', 'accountsWithSameEmail', 'drupalAcctProvisionTriggers', 'mappings__' . LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER] as $input_name) {
       $form['basic_to_drupal'][$input_name]['#states']['invisible'] =
-        array(
-          ':input[name=drupalAcctProvisionServer]' => array('value' => 'none'),
-        );
+        [
+          ':input[name=drupalAcctProvisionServer]' => ['value' => 'none'],
+        ];
     }
 
-    foreach (array('ldapEntryProvisionTriggers', 'password_notes', 'source_drupal_token_notes', 'mappings__' . LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY) as $input_name) {
+    foreach (['ldapEntryProvisionTriggers', 'password_notes', 'source_drupal_token_notes', 'mappings__' . LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY] as $input_name) {
       $form['basic_to_ldap'][$input_name]['#states']['invisible'] =
-        array(
-          ':input[name=ldapEntryProvisionServer]' => array('value' => 'none'),
-        );
+        [
+          ':input[name=ldapEntryProvisionServer]' => ['value' => 'none'],
+        ];
     }
 
-    $form['submit'] = array(
+    $form['submit'] = [
       '#type' => 'submit',
       '#value' => 'Save',
-    );
+    ];
 
-  return $form;
-}
+    return $form;
+  }
 
   /**
    * @param $sid
@@ -428,33 +381,35 @@ EOT;
     }
   }
 
-/**
- * validate submitted form
- *
- * @param array $values as $form_state['values'] from drupal form api
- * @param array $storage as $form_state['storage'] from drupal form api
- *
- * @return array in form array($errors, $warnings)to be thrown by form api
- */
-  public function drupalFormValidate($values, $storage)  {
+  /**
+   * Validate submitted form.
+   *
+   * @param array $values
+   *   as $form_state['values'] from drupal form api.
+   * @param array $storage
+   *   as $form_state['storage'] from drupal form api.
+   *
+   * @return array in form array($errors, $warnings)to be thrown by form api
+   */
+  public function drupalFormValidate($values, $storage) {
     $this->populateFromDrupalForm($values, $storage);
     list($errors, $warnings) = $this->validate($values);
 
     $this->checkPuidOrphans($values['drupalAcctProvisionServer'], $values['orphanedDrupalAcctBehavior']);
 
-    // since failed mapping rows in form, don't populate ->ldapUserSynchMappings, need to validate these from values
+    // Since failed mapping rows in form, don't populate ->ldapUserSynchMappings, need to validate these from values.
     foreach ($values as $field => $value) {
       $parts = explode('__', $field);
-      // since synch mapping fields are in n-tuples, process entire n-tuple at once (on field == configurable_to_drupal)
+      // Since synch mapping fields are in n-tuples, process entire n-tuple at once (on field == configurable_to_drupal)
       if (count($parts) != 4 || $parts[1] !== 'sm' || $parts[2] != 'configurable_to_drupal') {
         continue;
       }
       list($direction, $discard, $column_name, $i) = $parts;
       $action = $storage['synch_mapping_fields'][$direction][$i]['action'];
-      $tokens = array();
-      $row_mappings = array();
-      foreach (array('remove', 'configurable_to_drupal', 'configurable_to_ldap', 'convert', 'direction', 'ldap_attr', 'user_attr', 'user_tokens') as $column_name) {
-        $input_name = join('__', array('sm', $column_name, $i));
+      $tokens = [];
+      $row_mappings = [];
+      foreach (['remove', 'configurable_to_drupal', 'configurable_to_ldap', 'convert', 'direction', 'ldap_attr', 'user_attr', 'user_tokens'] as $column_name) {
+        $input_name = join('__', ['sm', $column_name, $i]);
         $row_mappings[$column_name] = isset($values[$input_name]) ? $values[$input_name] : NULL;
       }
 
@@ -464,42 +419,44 @@ EOT;
         $row_descriptor = t("server %sid row mapping to ldap attribute %ldap_attr", $tokens);
         $tokens['!row_descriptor'] = $row_descriptor;
         if (!$row_mappings['direction']) {
-          $input_name = join('__', array('sm', 'direction', $i));
+          $input_name = join('__', ['sm', 'direction', $i]);
           $errors[$input_name] = t('No mapping direction given in !row_descriptor', $tokens);
         }
         if ($direction == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER && $row_mappings['user_attr'] == 'user_tokens') {
-          $input_name = join('__', array('sm', 'user_attr', $i));
+          $input_name = join('__', ['sm', 'user_attr', $i]);
           $errors[$input_name] = t('User tokens not allowed when mapping to Drupal user.  Location: !row_descriptor', $tokens);
         }
         if (!$row_mappings['ldap_attr']) {
-          $input_name = join('__', array('sm', 'ldap_attr', $i));
+          $input_name = join('__', ['sm', 'ldap_attr', $i]);
           $errors[$input_name] = t('No ldap attribute given in !row_descriptor', $tokens);
         }
         if (!$row_mappings['user_attr']) {
-          $input_name = join('__', array('sm', 'user_attr', $i));
+          $input_name = join('__', ['sm', 'user_attr', $i]);
           $errors[$input_name] = t('No user attribute given in !row_descriptor', $tokens);
         }
       }
 
     }
-    return array($errors, $warnings);
+    return [$errors, $warnings];
   }
 
-/**
- * validate object, not form
- * @param array $values as $form_state['values'] from drupal form api
- * @return array in form array($errors, $warnings)to be thrown by form api
- *
- * @todo validate that a user field exists, such as field.field_user_lname
- *
- */
+  /**
+   * Validate object, not form.
+   *
+   * @param array $values
+   *   as $form_state['values'] from drupal form api.
+   *
+   * @return array in form array($errors, $warnings)to be thrown by form api
+   *
+   * @todo validate that a user field exists, such as field.field_user_lname
+   */
   public function validate($values) {
-    $errors = array();
-    $warnings = array();
-    $tokens = array();
+    $errors = [];
+    $warnings = [];
+    $tokens = [];
 
-    $has_drupal_acct_prov_servers  = (boolean)($this->drupalAcctProvisionServer);
-    $has_drupal_acct_prov_settings_options  = (count(array_filter($this->drupalAcctProvisionTriggers)) > 0);
+    $has_drupal_acct_prov_servers = (boolean) ($this->drupalAcctProvisionServer);
+    $has_drupal_acct_prov_settings_options = (count(array_filter($this->drupalAcctProvisionTriggers)) > 0);
 
     if (!$has_drupal_acct_prov_servers && $has_drupal_acct_prov_settings_options) {
       $warnings['drupalAcctProvisionServer'] = t('No Servers are enabled to provide provisioning to Drupal, but Drupal Account Provisioning Options are selected.', $tokens);
@@ -508,7 +465,7 @@ EOT;
       $warnings['drupalAcctProvisionTriggers'] = t('Servers are enabled to provide provisioning to Drupal, but no Drupal Account Provisioning Options are selected.  This will result in no synching happening.', $tokens);
     }
 
-    $has_ldap_prov_servers = (boolean)($this->ldapEntryProvisionServer);
+    $has_ldap_prov_servers = (boolean) ($this->ldapEntryProvisionServer);
     $has_ldap_prov_settings_options = (count(array_filter($this->ldapEntryProvisionTriggers)) > 0);
     if (!$has_ldap_prov_servers && $has_ldap_prov_settings_options) {
       $warnings['ldapEntryProvisionServer'] = t('No Servers are enabled to provide provisioning to ldap, but LDAP Entry Options are selected.', $tokens);
@@ -520,8 +477,9 @@ EOT;
     if (isset($this->ldapUserSynchMappings)) {
       $to_ldap_entries_mappings_exist = FALSE;
       foreach ($this->ldapUserSynchMappings as $synch_direction => $mappings) {
-        $map_index = array();
-        $tokens = array(); // array('%sid' => $sid);
+        $map_index = [];
+        // Format ['%sid' => $sid].
+        $tokens = [];
         $to_drupal_user_mappings_exist = FALSE;
         $to_ldap_entries_mappings_exist = FALSE;
 
@@ -550,37 +508,28 @@ EOT;
           }
           $row_descriptor = t("server %sid row mapping to ldap attribute %ldap_attr", $tokens);
           $tokens['!row_descriptor'] = $row_descriptor;
-          $ldap_attribute_maps_in_token = array();
+          $ldap_attribute_maps_in_token = [];
           ldap_servers_token_extract_attributes($ldap_attribute_maps_in_token, $mapping['ldap_attr']);
 
           if ($mapping['direction'] == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER) {
             $row_id = $map_index[$mapping['user_attr']];
             $to_drupal_user_mappings_exist = TRUE;
-          //  if (!$is_drupal_user_prov_server) {
-           //   $errors['mappings__'. $sid] =  t('Mapping rows exist for provisioning to drupal user, but server %sid is not enabled for provisioning
-            //    to drupal users.', $tokens);
-          //  }
           }
           if ($mapping['direction'] == LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY) {
             $row_id = $map_index[$mapping['ldap_attr']];
             $to_ldap_entries_mappings_exist = TRUE;
-           // if (!$is_ldap_entry_prov_server) {
-            //  $errors['mappings__'. $sid] =  t('Mapping rows exist for provisioning to ldap entries,
-            //    but server %sid is not enabled for provisioning
-             //   to ldap entries.', $tokens);
-           // }
 
             if (count(array_keys($ldap_attribute_maps_in_token)) != 1) {
-              $token_field_id = join('__', array('sm', 'user_tokens', $row_id));
+              $token_field_id = join('__', ['sm', 'user_tokens', $row_id]);
               $errors[$token_field_id] = t('When provisioning to ldap, ldap attribute column must be singular token such as [cn]. %ldap_attr is not.
                 Do not use compound tokens such as "[displayName] [sn]" or literals such as "physics". Location: !row_descriptor', $tokens);
             }
 
           }
-          $ldap_attr_field_id = join('__', array('sm', 'ldap_attr', $row_id));
-          $user_attr_field_id = join('__', array('sm', 'user_attr', $row_id));
-          $first_context_field_id = join('__', array('sm', 1, $row_id));
-          $user_tokens_field_id = join('__', array('sm', 'user_tokens', $row_id));
+          $ldap_attr_field_id = join('__', ['sm', 'ldap_attr', $row_id]);
+          $user_attr_field_id = join('__', ['sm', 'user_attr', $row_id]);
+          $first_context_field_id = join('__', ['sm', 1, $row_id]);
+          $user_tokens_field_id = join('__', ['sm', 'user_tokens', $row_id]);
 
           if (!$mapping['ldap_attr']) {
             $errors[$ldap_attr_field_id] = t('No LDAP Attribute given in !row_descriptor', $tokens);
@@ -600,14 +549,16 @@ EOT;
           One row must map to [dn].  This row will have a user token like cn=[property.name],ou=users,dc=ldap,dc=mycompany,dc=com');
       }
     }
-    return array($errors, $warnings);
+    return [$errors, $warnings];
   }
 
   /**
-   * populate object with data from form values
+   * Populate object with data from form values.
    *
-   * @param array $values as $form_state['values'] from drupal form api
-   * @param array $storage as $form_state['storage'] from drupal form api
+   * @param array $values
+   *   as $form_state['values'] from drupal form api.
+   * @param array $storage
+   *   as $form_state['storage'] from drupal form api.
    */
   protected function populateFromDrupalForm($values, $storage) {
     $this->drupalAcctProvisionServer = ($values['drupalAcctProvisionServer'] == 'none') ? 0 : $values['drupalAcctProvisionServer'];
